# TODO
# - ndo2db is unable to start, if there's stale socket:
#   srwxr-xr-x 1 nagios nagios 0 Jan 15  2012 /var/lib/nagios/ndo.sock=
#
# Conditional build:
%bcond_with	pgsql	# build without pgsql support (does not seem to work)
%bcond_without	mysql	# build without mysql support
%bcond_without	ssl	# build without ssl support

%define		addon	ndoutils
Summary:	NDOUTILS (Nagios Data Output Utils) addon
Summary(pl.UTF-8):	Dodatek NDOUTILS (Nagios Data Output Utils)
Name:		nagios-%{addon}
Version:	1.5.2
Release:	1
License:	GPL v2
Group:		Networking
Source0:	http://downloads.sourceforge.net/nagios/%{addon}-%{version}.tar.gz
# Source0-md5:	61460320d0deb8109e7e45e2b717ce1f
Source1:	ndo2db.init
Patch0:		config.patch
Patch1:		format-security.patch
URL:		http://sourceforge.net/projects/nagios/
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_ssl:BuildRequires:	openssl-devel}
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	rpmbuild(macros) >= 1.228
Requires:	nagios >= 3.0
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios
%define		_libdir		%{_prefix}/%{_lib}/nagios

%description
The NDOUTILS (Nagios Data Output Utils) addon allows you to move
status and event information from Nagios to a database for later
retrieval and processing.

%description -l pl.UTF-8
Dodatek NDOUTILS (Nagios Data Output Utils) pozwala przenosić
informacje o stanie i zdarzeniach z Nagiosa do bazy danych w celu
późniejszego odczytu i przetwarzania.

%prep
%setup -q -n %{addon}-%{version}
%patch0 -p1
%patch1 -p1

# some typo ;)
grep -r 20052-2009 -l . | xargs sed -i -e 's,20052-2009,2005-2009,'

%build
%configure \
	--bindir=%{_sbindir} \
	--localstatedir=/var/lib/nagios \
	--with-init-dir=/etc/rc.d/init.d \
	%{?with_mysql:--enable-mysql} \
	%{?with_pgsql:--enable-pgsql} \
	%{?with_ssl:--enable-ssl} \
	--enable-nanosleep \
	%{nil}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_sysconfdir},%{_sbindir},%{_datadir}/%{addon}}

%{__make} fullinstall \
	INSTALL_OPTS="" \
	INIT_OPTS="" \
	DESTDIR=$RPM_BUILD_ROOT

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ndo2db

mv $RPM_BUILD_ROOT{%{_sbindir},%{_libdir}}/ndomod.o

for sample in $RPM_BUILD_ROOT%{_sysconfdir}/*-sample; do
	cfg=${sample%%-sample}
	mv $sample $cfg
done

# sample line that should be added to nagios.cfg for this module to work
echo 'broker_module=%{_libdir}/ndomod.o config_file=%{_sysconfdir}/ndomod.cfg' \
	> $RPM_BUILD_ROOT%{_sysconfdir}/ndomod-load.cfg

install -d $RPM_BUILD_ROOT%{_datadir}/%{addon}
cp -a db/* $RPM_BUILD_ROOT%{_datadir}/%{addon}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ndo2db
%service ndo2db restart

%preun
if [ "$1" = "0" ]; then
	%service -q ndo2db stop
	/sbin/chkconfig --del ndo2db
fi

%files
%defattr(644,root,root,755)
%doc README REQUIREMENTS TODO UPGRADING
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ndo2db.cfg
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ndomod-load.cfg
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ndomod.cfg
%attr(754,root,root) /etc/rc.d/init.d/ndo2db
%attr(755,root,root) %{_sbindir}/file2sock
%attr(755,root,root) %{_sbindir}/log2ndo
%attr(755,root,root) %{_sbindir}/ndo2db
%attr(755,root,root) %{_sbindir}/sockdebug
%attr(755,root,root) %{_libdir}/ndomod.o
%dir %{_datadir}/%{addon}
%{_datadir}/%{addon}/README
%{_datadir}/%{addon}/*.sql
%{_datadir}/%{addon}/queries
%attr(755,root,root) %{_datadir}/%{addon}/upgradedb
%attr(755,root,root) %{_datadir}/%{addon}/installdb
%attr(755,root,root) %{_datadir}/%{addon}/prepsql
%changelog
* Wed Dec 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-ndoutils.git;a=log;h=master

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> 728c924
- fix format string errors

* Thu Dec 13 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 559da4d
- Remove stale UNIX socket before starting

* Thu Nov 22 2012 Elan Ruusamäe <glen@delfi.ee> 7f3e459
- package db/ files to /usr/share/ndoutils

* Thu Nov 22 2012 Elan Ruusamäe <glen@delfi.ee> 50f9ed0
- todo about daemon can't start with stale socket

* Thu Nov 22 2012 Elan Ruusamäe <glen@delfi.ee> 86fffd7
- up to 1.5.2, enable nanosleep instead of sleep

* Fri Feb 24 2012 Jan Rękorajski <baggins@pld-linux.org> 3c2c688
- rel 1

* Mon Feb 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8b7d7d6
- No empty pidfile/config.

* Sun Feb 05 2012 Adam Gołębiowski <adamg@pld-linux.org> 0d160a5
- updated to 1.5

* Sat Jan 14 2012 Elan Ruusamäe <glen@pld-linux.org> 257de9a
- no need to manually create pidfile and it's ownership

* Sat Jan 14 2012 Elan Ruusamäe <glen@pld-linux.org> 469e06b
- fix paths in config

* Sat Jan 14 2012 Elan Ruusamäe <glen@pld-linux.org> 7e8034b
- initscript deps

* Sat Jan 14 2012 Elan Ruusamäe <glen@pld-linux.org> eeb8ac1
- add pldized initscript

* Sat Jan 14 2012 Elan Ruusamäe <glen@pld-linux.org> 05da19f
- up to 1.4b9; enable ssl; bconds for mysql, pgsql, ssl

* Wed Nov 26 2008 Elan Ruusamäe <glen@pld-linux.org> 9bf617b
- update to 1.4b7, switch to nagios 3

* Thu Feb 15 2007 Jakub Bogusz <qboosh@pld-linux.org> f1524fe
- pl

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 9e93c59
- NFY

